<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template name="sidebar">
	<xsl:if test="$custom-sidebar">
		<section>
			<xsl:copy-of select="$custom-sidebar" />
		</section>
	</xsl:if>
	
	<xsl:if test="//snippets">
		<section>
			<xsl:apply-templates select="//snippets/entry" />
		</section>
	</xsl:if>
</xsl:template>

<xsl:template match="snippets/entry">
	<h3><xsl:value-of select="title" /></h3>
	<xsl:apply-templates select="content[@mode='formatted']/*" mode="html" />
</xsl:template>
</xsl:stylesheet>